import * as React from "react";
import { ContextConsumer } from "../context";
import AuditsContainer from "./audits-container";

interface AuditsProps {
  hideStatistics?: boolean;
}
export default class Audits extends React.Component<AuditsProps, {}> {
  render() {
    return (<ContextConsumer>
      {
        (context) => {
          return <AuditsContainer
            context={context}
            hideStatistics={this.props.hideStatistics} />
        }
      }
    </ContextConsumer>)
  }
}